> ## Name

> cgGLGetMatrixParameterArraydc - get the values from a matrix array parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLGetMatrixParameterArraydc( CGparameter param,
>                                         long offset,
>                                         long nelements,
>                                         double * v );

> ## Parameters

> param
>   The matrix array parameter from which the values will be retrieved.
> offset
>   An offset into the array parameter at which to start getting elements. A value of 0 will begin at the first element of the array.
> nelements
>   The number of elements to get. A value of 0 will default to the total number of elements in the array minus the value of offset.
> v
>   The array into which to retrieve the values. The size of v must be nelements times the number of elements in the matrix.

> ## Return Values

> None.

> ## Description

> cgGLGetMatrixParameterArraydc retrieves an array of values from a matrix array parameter using column-major ordering.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_NOT_MATRIX_PARAM_ERROR is generated if the elements of param are not matrix parameters.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGLGetMatrixParameterArraydc was introduced in Cg 1.1.

> ## See Also

> cgGLGetParameter, cgGLSetParameter, cgGLSetParameterArray